[ Identification | Description | Input parameters | Output parameters | Links ]

# The `MeanPolLambda_monitor` Component

Polarisation and wavelength sensitive monitor.

## Identification

- Author: Peter Christiansen
- Origin: Risoe
- Date: July 2006
- Version: 1.3

## Description

    polarisation along a given normalized m-vector (mx, my, mz) as a
    function of wavelength.

    Example: MeanPolLambda_monitor(xw=0.1, yh=0.1, npol=11,
                                   my=1, filename="meanpollambdaMon.data")

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
xw | m | Width/diameter of detector | 0
yh | m | Height of detector | 0
nlam | 1 | Number of bins in wavelength | 20
filename | text | Name of file in which to store the data |
restore_neutron | 1 | If set, the monitor does not influence the neutron state | 0
mx | 1 | X-component of monitor vector (can be negative) | 0
my | 1 | Y-component of monitor vector (can be negative) | 0
mz | 1 | Z-component of monitor vector (can be negative) | 0
Lmin | AA | Minimum wavelength detected |
Lmax | AA | Maximum wavelength detected |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
PolL_N | 1 | Array of neutron counts |
PolL_p | 1 | Array of neutron weight counts |
PolL_p2 | 1 | Array of second moments |
HelpArray | 1 | Array of weight counts used for normalization |

## Links

- Source code for `MeanPolLambda_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]